Summary: Fraunhofer IIS MPEG Layer-3 encoder
Name: mp3enc
Version: 3.0
Release: 1
Group: Applications/Sound
Copyright: Demo
Url: http://www.iis.fhg.de/amm/
Packager: Hao Li <hli@wag.caltech.edu>
Source:  ftp://ftp.iis.fhg.de/pub/layer3/mp3encdemo_lin.tgz
Source1: http://www.geocities.com/SiliconValley/Vista/2471/mp3enc.txt
Source2: README.hli
BuildRoot: /var/tmp/%{name}-root
ExclusiveArch: i386


%description
This is the distribution for the demo of the new mp3enc MPEG Layer-3
demo encoder. Use of this encoder is subject to the license conditions
laid forth in the documentation.


%prep
%setup -n mp3enc30
cp $RPM_SOURCE_DIR/mp3enc.txt mp3enc.crack
cp $RPM_SOURCE_DIR/README.hli .


%build
# Patch to remove 30 seconds limit
gdb -x mp3enc.crack


%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -a mp3encdemo $RPM_BUILD_ROOT/usr/bin/mp3enc


%files
%defattr(-, root, root)
/usr/bin/mp3enc
%doc README.txt index.html mp3enc mp3enc.ps mp3enc.txt
%doc README.hli mp3enc.crack


%clean
rm -rf $RPM_BUILD_ROOT
